先扯:

前段时间重装了遍电脑,用百度的方法试了很多遍都安装不上net3.5。
虽说这玩意win10自带了更高的版本,但有些软件并不兼容,运行这类软件时仍弹出“需要安装net3.5”的提示。
问题不光出现在这,甚至是在我绝地求生中莫名其妙的闪退,完了还给我提示这个。
今晚无意间逛着52论坛,碰巧发现一位大神将net3.5提取出来制成一键安装包。

工具作者:

@jidesheng6

注意事项:

  • 不支持Win10以下的机器
  • 该工具编写框架为.netframework 4.7.2
  • 最低Win10版本必须保证是1507的版本(Bulid版本号:10240)
  • Winform的程序会根据物理设备的分辨率显示方式会有些不同,所以如果发现一些控件偏移,属于正常事件
  • WIN10 LSTB环境下有可能会运行错误
  • 支持添加CAB文件,以内部版本号命名即可
  • 请和目录下的CabFiles目录配合使用

运行截图

博主的环境是:Windows 10 Enterprise (18363)
2021-07-18_043047.webp
操作完毕后可以看到在Windows功能里.net3.5已开启
2021-07-18_043201.webp

下载地址:

电信云盘

最后修改:2021 年 07 月 20 日 11 : 46 AM